## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global         srcname     google-cloud-core
%global         forgeurl    https://github.com/googleapis/python-cloud-core
Version:        2.3.3
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Core Helpers for Google Cloud Python Client Library

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
This library is not meant to stand-alone. Instead it defines common helpers
(e.g. base Client classes) used by all of the google-cloud-* packages.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


# Build the grpc extras subpackage.
%pyproject_extras_subpkg -n python3-%{srcname} grpc


%prep
%forgeautosetup -p0


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%pyproject_check_import

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc *.rst *.md
%{python3_sitelib}/google_cloud_core-%{version}-py%{python3_version}-nspkg.pth


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2.3.3-1
- Update to 2.3.3 rhbz#2220640

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 2.3.2-4
- Rebuilt for Python 3.12

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 2.3.2-3
- Update tests

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 2.3.2-1
- Update to 2.3.2 rhbz#2108131

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 2.3.1-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 2.3.1-1
- Update to 2.3.1

* Mon Apr 11 2022 Major Hayden <major@mhtx.net> - 2.3.0-1
- 🚀 Update to 2.3.0

* Tue Mar 08 2022 Major Hayden <major@redhat.com> - 2.2.3-2
- 🤦🏻‍♂️ Add 2.2.3 sources

* Tue Mar 08 2022 Major Hayden <major@redhat.com> - 2.2.3-1
- Update to 2.2.3

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 19 2022 Major Hayden <major@redhat.com> - 2.2.2-1
- Update to 2.2.2

* Wed Nov 10 2021 Major Hayden <major@redhat.com> - 2.2.1-1
- Update to 2.2.1

* Tue Nov 09 2021 Major Hayden <major@redhat.com> - 2.2.0-1
- Update to 2.2.0

* Wed Oct 06 2021 Major Hayden <major@mhtx.net> - 2.1.0-2
- Add sources

* Wed Oct 06 2021 Major Hayden <major@mhtx.net> - 2.1.0-1
- Update to 2.1.0

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> - 2.0.0-4
- Fix tests with PEP 420 workaround

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 2.0.0-3
- Move to rpmautospec

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> - 2.0.0-2
- Add SECURITY.md to docs

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> - 2.0.0-1
- Update to 2.0.0

* Mon Aug 02 2021 Major Hayden <major@mhtx.net> - 1.7.2-1
- Update to 1.7.2

* Tue Jul 27 2021 Major Hayden <major@mhtx.net> - 1.7.1-1
- Initial import (#1982680)
## END: Generated by rpmautospec
